org.apache.thrift

## Class ProcessFunction<I,T extends TBase>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,T>

-     public abstract class ProcessFunction<I,T extends TBase>
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessFunction(java.lang.String methodName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract T` | `getEmptyArgsInstance()`
    `java.lang.String` | `getMethodName()`
    `protected abstract TBase` | `getResult(I iface, T args)`
    `void` | `process(int seqid, TProtocol iprot, TProtocol oprot, I iface)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessFunction

          public ProcessFunction(java.lang.String methodName)

  - ### Method Detail

    - #### process

          public final void process(int seqid,
                     TProtocol iprot,
                     TProtocol oprot,
                     I iface)
                             throws TException

      Throws:
        `TException`

    - #### getResult

          protected abstract TBase getResult(I iface,
                        T args)
                                      throws TException

      Throws:
        `TException`

    - #### getEmptyArgsInstance

          protected abstract T getEmptyArgsInstance()

    - #### getMethodName

          public java.lang.String getMethodName()